'****************************************************************
'*  Name      MoonProc.BAS                                      *
'*  Author    John F Drew VK5DJ                                 *
'*  Notice    Copyright (c) 2006 [select VIEW...EDITOR OPTIONS] *
'*            All Rights Reserved                               *
'*  Date      29/04/2006                                        *
'*  Version   1.0                                               *
'*  Notes     Calculates position of the moon                   *
'*            from Duffet-Smith Astronomy with your PC          *
'****************************************************************
MoonPro: 
     M1=27.32158213 : M2=365.2596407
     M3=27.55455094 : M4=29.53058868
     M5=27.21222039 : M6=6798.363307
     M1=DJD/M1
     M2=DJD/M2
     M3=DJD/M3
     M4=DJD/M4
     M5=DJD/M5
     M6=DJD/M6
     
'     M1=360*(M1-int(M1))
'     Float_Rounding=off
     _FP_FLAGS = 0	             ' Disable Rounding     
     TempW1 = M1
     M1 = M1 - TempW1
     M1 = 360*M1

'     M2=360*(M2-int(M2))
     TempW1 = M2
     M2=m2 - TempW1
     M2=360*M2


'     M3=360*(M3-int(M3))
     TempW1 = M3
     M3=m3 - TempW1
     M3=360*M3


'     M4=360*(M4-int(M4))
     TempW1 = M4
     M4 = m4 - Tempw1
     M4 = 360*M4


'     M5=360*(M5-int(M5))
     TempW1 = M5
     M5=m5 - TempW1
     M5=360*M5


'     M6=360*(M6-int(M6))
     TempW1 = M6
     M6 = m6 - TempW1
     M6 = 360*M6

'     Float_Rounding=On
     _FP_FLAGS = 64	             ' Re-enable Rounding

'     LD=270.434164+M1-(0.001133-0.0000019*T)*T2
     TF1 = 0.0000019 * T
     TF1 = 0.001133-TF1
     TF1 = TF1*t2
     tf2 = 270.434164 + M1
     LD = tf2 - TF1


'     MS=358.475833+M2-(0.00015+0.0000033*T)*T2
     TF1= 0.0000033*T
     TF1= TF1 + 0.00015
     TF1=TF1 * t2
     tf2= 358.475833 + m2
     MS= tf2 - TF1


'     MD=296.104608+M3+(0.009192+0.0000144*T)*T2
     TF1= 0.0000144*T
     TF1= TF1 + 0.009192
     TF1=TF1 * t2
     tf2= 296.104608 + m3
     MD= tf2 + TF1


'     DEx1=350.737486+M4-(0.001436-0.0000019*T)*T2
     TF1= 0.0000019*T
     TF1= 0.001436 - TF1
     TF1=TF1 * t2
     tf2= 350.737486 + m4
     DEx1= tf2 - TF1


'     F= 11.250889+M5-(0.003211+0.0000003*T)*T2
     TF1= 0.0000003*T
     TF1= 0.003211 + TF1
     TF1=TF1 * t2
     tf2= 11.250889 + m5
     F= tf2 - TF1

'     N= 259.183275-M6+(0.002078+0.000022*T)*T2
     TF1= 0.000022*T
     TF1= 0.002078 + TF1
     TF1=TF1 * t2
     tf2= 259.183275 - m6
     N= tf2 + TF1

'     A= (51.2+20.2*T)*rad
     TF1=20.2*T
     TF1= TF1 + 51.2
     SAtemp=Sin(TF1 * rad)


     SN= Sin(N*rad)

'     B= 346.56 +(132.87-0.0091731*T)*T
     TF1= 0.0091731 * T
     TF1=132.87 - TF1
     TF1= TF1 * T 
     B= 346.56 + TF1 


'     SBtemp= 0.003964*sin(B*rad)
     TF1=Sin(B * rad)
     SBtemp= 0.003964 * TF1

'     C= (N+275.05-2.3*T)*rad
     TF1= 2.3 * T
     TF1=N+ 275.05 - TF1
     C= TF1 * rad
     SC= Sin(C)

'     LD= LD+0.000233*SAtemp+SBtemp+0.001964*SN
     TF1= 0.000233*SAtemp
     tf2= 0.001964 * SN
     TF1= LD + TF1 + SBtemp
     LD= TF1 + tf2


'     MS=MS-0.00178*SAtemp
     TF1= 0.00178 * SAtemp
     MS=MS-TF1


'     MD=MD+0.000817*SAtemp+SBtemp+0.002541*SN
     TF1= 0.002541 * SN
     tf2= 0.000817 * SAtemp
     TF1= SBtemp + TF1
     TF1= TF1 + tf2
     MD = MD + TF1

'     F=F+SBtemp-0.024691*SN-0.004328*SC
     TF1= 0.004328 * SC
     tf2= 0.024691 * SN
     tf3= F + SBtemp
     tf3= tf3-tf2
     F=tf3-TF1

'     DEx1=DEx1+0.002011*SAtemp+SBtemp+0.001964*SN
     TF1= 0.001964*SN
     tf2= 0.002011*SAtemp
     tf3= DEx1 + tf2
     tf3=tf3+SBtemp
     DEx1=tf3 +TF1

'     E= 1-(0.002495+0.00000752*T)*T
     TF1=0.00000752*T
     TF1=TF1+0.002495
     TF1=TF1*T
     e=1.0-TF1


     E2= E*E
     LD=LD*rad
     MS=MS*rad
     N=N*rad
     DEx1=DEx1*rad
     F=F*RAD
     MD=MD*RAD
     DEx2=2*DEx1 : DEx4=4*DEx1 : MDx2=2*MD : MSx2=2*MS
     MDx3=3*MD : Fx2=2*F : Fx3=3*F : DEx3=3*DEx1 : MDx4=4*MD
     
'     L=6.28875*sin(MD)+1.274018*sin(DEx2-MD)
     TF1=Sin(DEX2 - MD)
     TF1= 1.274018*TF1
     TF2 = 6.28875*Sin(MD)
     L = TF2 + TF1

'     L=L+0.658309*sin(DEx2)
     TF1=0.658309 * Sin(DEX2)
     L=L+TF1

'     L=L+0.213616*sin(MDx2)
     TF1=Sin(MDx2)
     TF1=0.213616 * TF1
     L=L+TF1

'     L=L-E*0.185596*sin(MS)
     TF1=0.185596*Sin(MS)
     L=L-E*TF1

'     L=L-0.114336*sin(2*F)
     TF1=Sin(Fx2)
     TF1=0.114336*TF1
     L=L-TF1

'     L=L+0.058793*sin(2*(DEx1-MD))
     TF1=DEx1-md
     TF1=Sin(2*TF1)
     TF1=0.058793*TF1
     L=L+TF1

'     L=L+0.057212*E*sin(DEx2-MS-MD)
     TF1=Sin(DEx2-MS-MD)
     TF1=E*TF1
     TF1=0.057212*TF1
     L=L+TF1

'    L=L+0.05332*sin(DEx2+MD)
     TF1=Sin(DEx2+MD)
     TF1=0.05332*TF1
     L=L+TF1 

'     L=L+0.045874*E*sin(DEx2-MS)
     TF1=Sin(DEx2-MS)
     TF1=0.045874*E*TF1
     L=L+TF1

'     L=L+0.041024*E*sin(MD-MS)
     TF1=Sin(MD-MS)
     TF1=0.041024*E*TF1
     L=L+TF1

'     L=L-0.034718*sin(DEx1)-E*0.030465*sin(MS+MD)  '11 lines into 6150
     TF1=Sin(DEX1)
     TF2=TF1*0.034718
     TF1=Sin(MS+MD)
     TF1=E*0.030465*TF1
     L=L-TF1-TF2

'     L=L+0.015326*sin(2*(DEx1-F))
     TF1=DEx1-F
     TF1=Sin(2*TF1)
     TF1=0.015326*TF1
     L=TF1 +L

'     L=L-0.012528*sin(2*F+MD)
     TF1=Sin(Fx2 + md)
     TF1=0.012528*TF1
     L=L-TF1

'     L=L-0.01098*sin(2*F-md)
     TF1=Sin(Fx2-md)
     TF1=0.01098*TF1
     L=L-TF1

'     L=L+0.010674*sin(4*DEx1-MD)
     TF1=Sin(DEx4-md)
     TF1=0.010674*TF1
     L=L+TF1

'     L=L+0.010034*SIN(MDx3)
     TF1=Sin(MDx3)
     TF1=0.010034*TF1
     L=L+TF1

'     L=L+0.008548*SIN(DEx4-MDx2)
     TF1=Sin(DEx4-MDx2)
     TF1=0.008548*TF1
     L=L+TF1


'     L=L-E*0.00791*SIN(MS-MD+DEx2)
     TF1=Sin(ms-md+dex2)
     TF1=0.00791*TF1
     TF1=E*TF1
     L=L-TF1

'     L=L-E*0.006783*SIN(DEx2+MS)
     TF1=Sin(DEx2+ms)
     TF1=0.006783*TF1
     TF1=E*TF1
     L=L-TF1

'     L=L+0.005162*SIN(MD-DEx1)+E*0.005*SIN(MS+DEx1)
     TF1=Sin(MD-DEx1)
     TF1=0.005162*TF1
     L=L+TF1

     TF1=Sin(MS+DEx1)
     TF1=0.005*TF1
     TF1=E*TF1
     L=L+TF1


'     L=L+0.003862*SIN(DEx4)
     TF1=Sin(DEX4)
     TF1=0.003862*TF1
     L=L+TF1

'     L=L+E*0.004049*SIN(MD-MS+DEx2)
     TF1=Sin(MD-MS+ DEX2)
     TF1=0.004049*TF1
     TF1=E*TF1
     L=L+TF1

'     L=L+0.003996*SIN(2*(MD+DEx1))
     TF1=MD+DEx1
     TF1=Sin(2*TF1)
'     TF1=Sin TF1
     TF1=0.003996*TF1
     L=L+TF1

'     L=L+0.003665*SIN(DEx2-3*MD)
     TF1=Sin(DEx2-MDx3)
     TF1=0.003665*TF1
     L=L+TF1

'     L=L+E*0.002695*SIN(MDx2-MS)
    TF1=Sin(MDx2-MS)
    TF1=0.002695*TF1
    TF1=E*TF1
    L=L+TF1

'     L=L+0.002602*SIN(MD-2*(F+DEx1))
     TF1=F+DEx1
     TF1=2*TF1
     TF1=Sin(MD-TF1)
     TF1=0.002602*TF1
     L=L+TF1

'     L=L+E*0.002396*SIN(2*(DEx1-MD)-MS)
     TF1=DEx1-MD
     TF1=2*TF1
     TF1=Sin(TF1 - MS)
     TF1=0.002396*TF1
     TF1=E*TF1
     L=L+TF1

'     L=L-0.002349*SIN(MD+DEx1)
     TF1=Sin(MD+DEx1)
     TF1=0.002349*TF1
     L=L-TF1


'     L=L+E2*0.002249*SIN(2*(DEx1-MS))
     TF1=DEx1-MS
     TF1=Sin(2*TF1)
     TF1=0.002249*TF1
     TF1=E2*TF1
     L=L+TF1

'     L=L-E*0.002125*SIN(2*MD+MS)
     TF1=Sin(MDx2+MS)
     TF1=0.002125*TF1
     TF1=E*TF1
     L=L-TF1


'     L=L-E2*0.002079*SIN(MSx2)
     TF1=Sin(MSx2)
     TF1=0.002079*TF1
     TF1=E2*TF1
     L=L-TF1

'     L=L+E2*0.002059*SIN(2*(DEx1-MS)-MD)        
     TF1=2*(DEx1-MS)
     TF1=Sin(TF1-MD)
     TF1=E2*0.002059*TF1
     L=L+TF1

'     L=L-0.001773*SIN(MD+2*(DEx1-F))            
      TF1=2*(DEx1-F)
      TF1=Sin(MD+TF1)
      L=L - 0.001773*TF1

'     L=L-0.001595*SIN(2*(F+DEx1))            
      TF1=Sin(2*(F+DEx1))
      L=L - 0.001595*TF1

'     L=L+E*0.00122*SIN(DEx4-MS-MD)         
      TF1=Sin(DEx4-MS-MD)
      TF1=E*0.00122*TF1
      L=L+TF1

'     L=L-0.00111*SIN(2*(MD+F))           
      TF1=Sin(2*(MD+F))
      L=L - 0.00111*TF1

'     L=L+0.000892*SIN(MD-3*DEx1)         
     TF1=Sin(MD-DEx3)
     L=L + 0.000892*TF1

'     L=L-E*0.000811*SIN(MS+MD+DEx2)      
      TF1=Sin(MS+MD+DEx2)
      TF1=E*0.000811*TF1
      L=L-TF1

'     L=L+E*0.000761*SIN(DEx4-MS-2*MD)      
     TF1= Sin(DEx4-MS-MDx2)
     TF1= E*0.000761* TF1
     L=L+TF1

'     L=L+E2*0.000704*SIN(MD-2*(MS+DEx1))   
      TF1=2*(MS+DEx1)
      TF1=Sin(MD-TF1)
      TF1=E2*0.000704*TF1
      L=L+TF1

'     L=L+E*0.000693*SIN(MS-2*(MD-DEx1))    
      TF1=2*(MD-DEx1)
      TF1= Sin(MS-TF1)
      TF1= E*0.000693*TF1
      L=L+TF1

'     L=L+E*0.000598*SIN(2*(DEx1-F)-MS)      
      TF1=2*(DEx1-F)
      TF1=Sin(TF1-MS)
      TF1=E*0.000598*TF1
      L=L+TF1

'     L=L+0.00055*SIN(MD+DEx4)+0.000538*SIN(4*MD)        

      TF1=Sin(MD+DEx4)
      TF1=0.00055*TF1
      TF2=Sin(MDx4)
      TF2=0.000538*TF2
      L=L+TF1+TF2

'     L=L+E*0.000521*SIN(DEx4-MS)
      TF1=Sin(DEx4-MS)
      TF1=TF1*E*0.000521
      L=L+TF1

'     L=L+0.000486*Sin(MDx2-DEx1)
      TF1=Sin(MDx2-DEx1)
      L=0.000486*TF1 + L

'     L=L+E2*0.000717*Sin(MD-MSx2)
      TF1=Sin(md-msx2)
      TF1=0.000717 * TF1 * E2
      L=TF1 + L 

      LAM=LD+L*RAD

     While LAM<0 
          LAM=LAM+TPI
     Wend
     While LAM>TPI 
          LAM=LAM-TPI
     Wend

'     G=5.128189*SIN(F)+0.280606*SIN(MD+F)
      TF1=5.128189*Sin(F)
      TF2=Sin(MD+F)
      G= 0.280606 * TF2 + TF1

'     G=G+0.277693*SIN(MD-F)
      TF1=Sin(MD-F)
      G=0.277693*TF1+G

'     G=G+0.173238*SIN(DEx2-F)         
      TF1=Sin(DEx2-F)
      G = 0.173238*TF1+G

'     G=G+0.055413*SIN(DEx2+F-MD)          
      TF1=Sin(DEx2+F-MD)
      G=G + 0.055413*TF1

'     G=G+0.046272*SIN(DEx2-F-MD)
     TF1=Sin(DEx2-F -MD)
     TF1=0.046272*TF1
     G=G+TF1

'     G=G+0.032573*SIN(DEx2+F)
     TF1=Sin(DEx2+F)
     TF1=0.032573*TF1
     G=G+TF1

'     G=G+0.017198*SIN(MDx2+F)
     TF1=Sin(MDx2+F)
     TF1=0.017198*TF1
     G=G+TF1

'     G=G+0.009267*SIN(DEx2+MD-F)
     TF1=Sin(DEx2+MD - F)
     TF1=0.009267*TF1
     G=G+TF1

'     G=G+0.008823*SIN(MDx2-F)
     TF1=Sin(MDx2-F)
     TF1=0.008823*TF1
     G=G+TF1

'     G=G+E*0.008247*SIN(DEx2-MS-F)
     TF1=Sin(DEx2-MS- F)
     TF1=0.008247*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G+0.004323*SIN(2*(DEx1-MD)-F)
     TF1=DEx1-MD
     TF1=2*TF1
     TF1=Sin (TF1-F)
     TF1=0.004323*TF1
     G=G+TF1

'     G=G+0.0042*SIN(DEx2+F+MD)
     TF1=Sin(DEx2+F+ MD)
     TF1=0.0042*TF1
     G=G+TF1

'     G=G+E*0.003372*SIN(F-MS-DEx2)
     TF1=Sin(F-MS- DEX2)
     TF1=0.003372*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G+E*0.002472*SIN(DEx2+F-MS-MD)
     TF1=DEx2+F
     TF1=Sin(TF1-MS- MD)
     TF1=0.002472*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G+E*0.002222*SIN(DEx2+F-MS)
     TF1=Sin(DEx2+F-ms)
     TF1=0.002222*TF1
     TF1=E*TF1
     G=G+TF1


'     G=G+E*0.002072*SIN(DEx2-F-MS-MD)
     TF1=DEx2-F
     TF1=Sin(TF1-MS- MD)
     TF1=0.002072*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G+E*0.001877*SIN(F-MS+MD)
     TF1=Sin(F-MS+ MD)
     TF1=0.001877*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G+0.001828*SIN(DEx4-F-MD)
     TF1=Sin(DEx4-F-MD)
     TF1=0.001828*TF1
     G=G+TF1


'     G=G-E*0.001803*SIN(F+MS)-0.00175*SIN(3*F)
     TF1=Sin(F+MS)
     TF1=0.001803*TF1
     TF2=E*TF1

     TF1=Sin(Fx3)
     TF1=0.00175*TF1
     G=G - TF2 - TF1

'     G=G+E*0.00157*SIN(MD-MS-F)
     TF1=Sin(MD-MS -F)
     TF1=0.00157*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G-0.001487*SIN(F+DEx1)
     TF1=Sin(F+DEx1)
     TF1=0.001487*TF1
     G=G-TF1

'     G=G-E*0.001481*SIN(F+MS+MD)
     TF1=Sin(F+MS+MD)
     TF1=0.001481*TF1
     TF1=E*TF1
     G=G-TF1

'     G=G+E*0.001417*SIN(F-MS-MD)
     TF1=Sin(F-MS-MD)
     TF1=0.001417*TF1
     TF1=E*TF1
     G=G+TF1

'     G=G+E*0.00135*SIN(F-MS)+0.00133*SIN(F-DEx1)
     TF1=Sin(F-MS)
     TF1=0.00135*TF1
     TF1=E*TF1
     G=G+TF1

     TF1=Sin(F-DEx1)
     TF1=0.00133*TF1
     G=G+TF1

'     G=G+0.001106*SIN(F+MDx3)+0.00102*SIN(DEx4-F)
     TF1=Sin(F+MDx3)
     TF1=0.001106*TF1
     TF2=Sin(DEx4-F)
     TF2=0.00102*TF2
     TF1=TF1+tf2
     G=G+TF1

'     G=G+0.000833*SIN(F+DEx4-MD)
     TF1=Sin(F+DEx4- MD)
     TF1=0.000833*TF1
     G=G+TF1

'     G=G+0.000781*SIN(MD-3*F)
     TF1=Sin(MD-Fx3)
     TF1=0.000781*TF1
     G=G+TF1


'     G=G+0.00067*SIN(F+DEx4-MDx2)
     TF1=Sin(F+DEx4-mdx2)
     TF1=0.00067*TF1
     G=G+TF1


'     G=G+0.000606*SIN(DEx2-3*F)
     TF1=Sin(DEx2-Fx3)
     TF1=0.000606*TF1
     G=G+TF1


'     G=G+0.000597*SIN(2*(DEx1+MD)-F)
     TF1=DEx1+MD
     TF1=2*TF1
     TF1=Sin(TF1-F)
     TF1=0.000597*TF1
     G=G+TF1

'     G=G+E*0.000492*SIN(DEx2+MD-MS-F)
     TF1=DEx2+MD-MS
     TF1=Sin(TF1-F)
     TF1=0.000492*TF1
     TF1=E*TF1
     G=G+TF1


'     G=G+0.00045*SIN(2*(MD-DEx1)-F)
     TF1=MD-DEx1
     TF1=2*TF1
     TF1=Sin(TF1-F)
     TF1=0.00045*TF1
     G=G+TF1

'     G=G+0.000439*SIN(MDx3-F)
     TF1=Sin(MDx3-F)
     TF1=0.000439*TF1
     G=G+TF1

'     G=G+0.000423*SIN(F+2*(DEx1+MD))
     TF1=DEx1+MD
     TF1=2*TF1
     TF1=Sin(TF1+F)
     TF1=0.000423*TF1
     G=G+TF1


'     G=G+0.000422*SIN(DEx2-F-MDx3)
     TF1=Sin(DEx2-F- MDx3)
     TF1=0.000422*TF1
     G=G+TF1


'     G=G-E*0.000367*SIN(MS+F+DEx2-MD)
     TF1=MS+F+ DEX2
     TF1=Sin(TF1-MD)
     TF1=0.000367*TF1
     TF1=E*TF1
     G=G-TF1


'     G=G-E*0.000353*SIN(MS+F+DEx2)
     TF1=Sin(MS+F+dex2)
     TF1=0.000353*TF1
     TF1=E*TF1
     G=G-TF1

'     G=G+0.000331*SIN(F+DEx4)
     TF1=Sin(F+DEx4)
     TF1=0.000331*TF1
     G=G+TF1


'     G=G+E*0.000317*SIN(DEx2+F-MS+MD)
     TF1=DEx2+F- MS
     TF1=Sin(TF1+MD)
     TF1=0.000317*TF1
     TF1=E*TF1
     G=G+TF1


'     G=G+E2*0.000306*SIN(2*(DEx1-MS)-F)
     TF1=DEx1-MS
     TF1=2*TF1
     TF1=Sin(TF1-F)
     TF1=0.000306*TF1
     TF1=E2*TF1
     G=G+TF1

'     G=G-0.000283*SIN(MD+3*F)
     TF1=Sin(MD+Fx3)
     TF1=0.000283*TF1
     G = G-TF1


'     W1temp=0.0004664*COS(N)
     TF1=Cos(N)
     W1temp=0.0004664*TF1

'     W2temp=0.0000754*COS(C)
     TF1=Cos(C)
     W2temp=0.0000754*TF1

'     BET=G*RAD*(1-W1temp-W2temp)
     TF1=1.0-W1temp- W2temp
     BET=TF1 * G * Rad

'     HP =9.50724E-1+5.1818E-2*COS(MD)+9.531E-3*COS(DEx2-MD) 
     TF1 =Cos MD  
     TF1 = 0.051818 * TF1 
     HP = 0.950724 + TF1 
     TF1 =Cos(DEx2-MD) 
     TF1 =0.009531*TF1 
     HP =HP+TF1 



'     HP =HP+7.843E-3*COS(DEx2)+2.824E-3*COS(MDx2) 
     TF1 =Cos DEX2 
     TF1 = 0.007843 * TF1 
     HP =HP+TF1 
     TF1 =Cos MDx2 
     TF1 = 0.002824 * TF1 
     HP =HP+TF1 

'     HP =HP+8.57E-4*COS(DEx2+MD)+E*5.33E-4*COS(DEx2-MS) 
     TF1 =Cos(DEx2+MD) 
     TF1 = 0.000857 * TF1 
     HP =HP+TF1 
     TF1 =Cos(DEx2-MS) 
     TF1 = 0.000533 * TF1 
     TF1 =E * TF1 
     HP =HP+TF1 


'     HP =HP+E*4.01E-4*COS(DEx2-MD-MS) 
     TF1 =Cos(DEx2-MD-ms) 
     TF1 = 0.000401 * TF1 
     TF1 =E*TF1 
     HP =HP+TF1 

'     HP =HP+E*3.2E-4*COS(MD-MS)-2.71E-4*COS(DEx1) 
     TF1 =Cos(MD-MS) 
     TF1 = 0.00032 * TF1 
     TF1 =E*TF1 
     HP =HP+TF1 
     TF1 =Cos DEX1 
     TF1 =0.000271*TF1 
     HP =HP-TF1 


'     HP =HP-E*2.64E-4*COS(MS+MD)-1.98E-4*COS(Fx2-MD) 
     TF1 =Cos(MD+MS) 
     TF1 = 0.000264 * TF1 
     TF1 =E*TF1 
     HP =HP-TF1 
     TF1 =Cos(Fx2-MD) 
     TF1 =0.000198*TF1 
     HP =HP-TF1 

'     HP =HP+1.73E-4*COS(MDx3)+1.67E-4*COS(DEx4-MD) 
     TF1 =Cos MDx3 
     TF1 = 0.000173 * TF1 
     HP =HP+TF1 
     TF1 =Cos(DEx4-MD) 
     TF1 =0.000167*TF1 
     HP =HP+TF1 

'     HP =HP-E*1.11E-4*COS(MS)+1.03E-4*COS(DEx4-MDx2) 
     TF1 =Cos MS 
     TF1 = 0.000111 * TF1 
     TF1 =E*TF1 
     HP =HP-TF1 
     TF1 =Cos(DEx4-MDx2) 
     TF1 =0.000103*TF1 
     HP =HP+TF1 


'     HP =HP-8.4E-5*COS(MDx2-DEx2)-E*8.3E-5*COS(DEx2+MS) 
     TF1 =Cos(MDx2-DEx2) 
     TF1 = 0.000084 * TF1 
     HP =HP-TF1 
     TF1 =Cos(DEx2+MS) 
     TF1 =0.000083*TF1 
     TF1 =E * TF1 
     HP =HP-TF1 


'     HP =HP+7.9E-5*COS(DEx2+MDx2)+7.2E-5*COS(DEx4) 
     TF1 =Cos(DEx2+MDx2) 
     TF1 = 0.000079 * TF1 
     HP =HP+TF1 
     TF1 =Cos DEX4 
     TF1 =0.000072*TF1 
     HP =HP+TF1 

'     HP =HP+E*6.4E-5*COS(DEx2-MS+MD)-E*6.3E-5*COS(DEx2-MS-MD) 
     TF1 =Cos(DEx2-MS+ MD) 
     TF1 = 0.000064 * TF1 
     TF1 =E*TF1 
     HP =HP+TF1 
     TF1 =Cos(DEx2-MS-MD) 
     TF1 =0.000063*TF1 
     TF1 =E * TF1 
     HP =HP-TF1 

'     HP =HP+E*4.1E-5*COS(MS+DEx1)+E*3.5E-5*COS(MDx2-MS) 
     TF1 =Cos(MS+DEx1) 
     TF1 = 0.000041 * TF1 
     TF1 =E*TF1 
     HP =HP+TF1 
     TF1 =Cos(MDx2-MS) 
     TF1 =0.000035*TF1 
     TF1 =E * TF1 
     HP =HP+TF1 

'     HP =HP-3.3E-5*COS(MDx3-DEx2)-3E-5*COS(MD+DEx1) 
    TF1 =Cos(MDx3-DEx2) 
     TF1 = 0.000033 * TF1 
     HP =HP-TF1 
     TF1 =Cos(MD+DEx1) 
     TF1 =0.00003*TF1 
     HP =HP-TF1 

'     HP =HP-2.9E-5*COS(2*(F-DEx1))-E*2.9E-5*cos(MDx2+MS) 
     TF1 =F-DEx1 
     TF1 =Cos(2 * TF1) 
     TF1 = 0.000029 * TF1 
     HP =HP-TF1 
     TF1 =Cos(MDx2+MS) 
     TF1 =0.000029*TF1 
     TF1 =E * TF1 
     HP =HP-TF1 

'     HP =HP+E2*2.6E-5*COS(2*(DEx1-MS))-2.3E-5*COS(2*(F-DEx1)+MD) 
     TF1 =DEx1-MS 
     TF1 =Cos(2 * TF1) 
     TF1 = 0.000026 * TF1 
     TF1 =E2*TF1 
     HP =HP+TF1 
     TF1 =F-DEx1 
     TF1 =2 * TF1 
     TF1 =Cos(TF1 + MD) 
     TF1 =0.000023*TF1 
     HP =HP-TF1 

'     HP =HP+E*1.9E-5*COS(DEx4-MS- MD) 
     TF1 =Cos(DEX4 - MS -MD)
     TF1 = 0.000019 * TF1 
     TF1 =E*TF1 
     HP =HP+TF1 

     EHP =HP*rad               'parallax uses EHP not HP
               
     Return

